org.eclipse.ecf.core.sharedobject.events

## Interface ISharedObjectManagerEvent

All Superinterfaces:
  Event, IContainerEvent

All Known Subinterfaces:
  ISharedObjectManagerConnectionEvent

All Known Implementing Classes:
  SharedObjectManagerAddEvent, SharedObjectManagerConnectEvent, SharedObjectManagerCreateEvent, SharedObjectManagerDisconnectEvent, SharedObjectManagerRemoveEvent

    public interface ISharedObjectManagerEvent
    extends IContainerEvent

Shared object manager event

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getSharedObjectID()` Get shared object ID for shared object in question

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getSharedObjectID

    ID getSharedObjectID()

Get shared object ID for shared object in question

Returns:
  ID of shared object in question. Will not return null.